## paste 3.7.1

=== Makefile ===
# simple Makefile for some common tasks
.PHONY: clean test dist release pypi tagv

paste-version := $(shell python setup.py --version)

clean:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -rf .tox || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r paste.egg-info || true

tagv:
	git tag -s -m ${paste-version} ${paste-version}
	git push origin master --tags

cleanagain:
	find . -name "*.pyc" |xargs rm || true
	rm -r dist || true
	rm -r build || true
	rm -r .tox || true
	rm -r cover .coverage || true
	rm -r .eggs || true
	rm -r paste.egg-info || true

test:
	tox --skip-missing-interpreters

dist: test
	python3 setup.py sdist bdist_wheel

release: clean test cleanagain tagv pypi gh

pypi:
	python3 setup.py sdist bdist_wheel
	twine upload dist/*

gh:
	gh release create ${paste-version} --generate-notes dist/*

## paste 1.7.5.1

=== debian/changelog ===
paste (1.7.5.1-6ubuntu3) trusty; urgency=medium

  * debian/control: Demote libjs-mochikit to suggests for python3-paste.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Apr 2014 07:18:36 -0600

paste (1.7.5.1-6ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:53 +0000

paste (1.7.5.1-6ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Demote libjs-mochikit back to suggests because dh_python2 
      doesn't have the same symlink problem as python-support.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 20 Sep 2013 03:12:08 +0100

paste (1.7.5.1-6) unstable; urgency=low

  * Team upload.
  * Fix one more python2/3 incompatibility in the lint.py.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 19 Sep 2013 17:19:33 +0100

paste (1.7.5.1-5ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Demote libjs-mochikit back to suggests because dh_python2 
      doesn't have the same symlink problem as python-support.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 16 Sep 2013 16:20:36 +0100

paste (1.7.5.1-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Dmitrijs Ledkovs ]
  * Team upload.
  * Add python3 package (Closes: #714787)
  * Bump debhelper to 9
  * Bump standards to 3.9.4
  * Add fedora, and own python3 patches.
  * Use 2to3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 14 Sep 2013 14:35:57 +0100

paste (1.7.5.1-4.1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Demote libjs-mochikit back to suggests because dh_python2 
      doesn't have the same symlink problem as python-support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 23:36:29 +0100

paste (1.7.5.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adds a Breaks: python-pastescript (<< 1.7.3-7~1) (Closes: #662678).

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Apr 2012 08:24:46 +0000

paste (1.7.5.1-4ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:06:17 +0000

paste (1.7.5.1-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #810019).  Remaining changes:
    - debian/control: Demote libjs-mochikit back to suggests because dh_python2 
      doesn't have the same symlink problem as python-support.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 26 Sep 2011 18:45:19 +0000

paste (1.7.5.1-4) unstable; urgency=low

  * Add also missing __init__.py file

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 22 Sep 2011 22:00:39 +0200

paste (1.7.5.1-3) unstable; urgency=low

  * Remove .pth file (introduced in last upload by accident)
  * Add build-indep and build-arch targets in debian/rules
  * Let dh_sphinxdoc handle documentation files, python-sphinx build
    dependency bumped to 1.0.7+dfsg-1

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 22 Sep 2011 20:10:40 +0200

paste (1.7.5.1-2ubuntu1) oneiric; urgency=low

  * d/control: Demote libjs-mochikit back to suggests because
    dh_python2 doesn't have the same symlink problem as python-support.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 11 Aug 2011 14:05:16 -0500

paste (1.7.5.1-2) unstable; urgency=low

  * objects.inv is no longer compressed (closes: #608759)
  * Convert to dh_python2
  * Source format changed to 3.0 (quilt)
  * No longer conflicts/replaces paste-common
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 28 May 2011 17:12:08 +0200

paste (1.7.5.1-1) unstable; urgency=low

  * New upstream release
  * Move libjs-mochikit to Recommends (python-support will not generate
    symlink to MochiKit if the file is not available while the
    update-python-modules trigger is invoked and thus breaks debugger;
    partially closes: 596500)
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 22 Oct 2010 10:47:47 +0200

paste (1.7.4-1) unstable; urgency=high

  * New upstream release - fixes XSS bug (security issue) with not found
    handlers for paste.urlparser.StaticURLParser and paste.urlmap.URLMap

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 25 Jun 2010 20:30:19 +0200

paste (1.7.3.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Apr 2010 19:52:41 +0200

paste (1.7.3+hg20100401-1) unstable; urgency=low

  * New upstream release (+ few fixes from tip)
  * patches removed, no longer needed
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 02 Apr 2010 00:47:38 +0200

paste (1.7.2-4) unstable; urgency=low

  * Build depend on python-support >= 1.0.1
    + remove libjs-mochikit from Build-Depends-Indep
    + remove mochikit symlink workaround from debian/rules
  * Prepare for Python 2.6:
    + use py_libdir in debian/rules (LP: #361163)
    + add r7641.patch (taken from upstream repository) - fixes paste.httpserver

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 08 Apr 2009 13:33:33 +0200

paste (1.7.2-3) unstable; urgency=low

  * Link MochiKit before invoking dh_pysupport (Closes: #516320)
    + add libjs-mochikit to Build-Depends-Indep (pysupport's
      movemodules needs it at build time)
  * Standards-Version bumped to 3.8.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Apr 2009 20:37:13 +0200

paste (1.7.2-2) unstable; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * Change Debian packaging license to MIT (to match upstream)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 15 Feb 2009 20:01:44 +0100

paste (1.7.2-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)


=== debian/control ===
Source: paste
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: python-all (>= 2.6.6-3), python3-all,
 python-setuptools (>= 0.6b3-1~), python-sphinx (>= 1.0.7+dfsg-1~),
 python3-setuptools, python3-sphinx
Standards-Version: 3.9.2
Homepage: http://pythonpaste.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/paste/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/paste/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2

Package: python-paste
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources, python-formencode (>= 0.5.1-1), python-tempita
Recommends: python-ctypes, python-openid, python-openssl, python-scgi
Breaks: python-pastescript (<< 1.7.3-7~1)
Suggests: python-pastedeploy, python-pastescript, python-pastewebkit,
 libjs-mochikit,
 libapache2-mod-wsgi, libapache2-mod-python (>= 3.2.8-3), libapache2-mod-scgi,
 python-pgsql (>= 2.5.1-1), ${sphinxdoc:Depends}
Description: tools for using a Web Server Gateway Interface stack
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools

Package: python3-paste
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources, python3-tempita
Recommends: python3-openssl
Suggests: libapache2-mod-wsgi, libapache2-mod-python (>= 3.2.8-3), libapache2-mod-scgi,
 libjs-mochikit,
 ${sphinxdoc:Depends}
Description: tools for using a Web Server Gateway Interface stack with Python 3
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools
 .
 This is the Python3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
PYVERS=$(shell pyversions -vr)
PY3VERS=$(shell py3versions -vr)
PKGDIR=$(CURDIR)/debian/python-paste
PKG3DIR=$(CURDIR)/debian/python3-paste

include /usr/share/python/python.mk
clean:
	dh_testdir
	dh_testroot
	rm -rf dist build
	find . -name *\.py[co] -delete
	dh_clean build-docs* $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)

build: build-indep
build-indep:2to3-stamp build-docs
build-arch:

2to3-stamp:
	rm -rf debian/tmp
	mkdir -p debian/tmp
	cp -a $(filter-out debian .svn, $(wildcard * .[^.]*)) debian/tmp
	2to3 --write --nobackups debian/tmp
	touch $@

build-docs: 2to3-stamp
	dh_testdir
	dh_installdirs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ $(PKGDIR)/usr/share/doc/python-paste/docs/
	cd debian/tmp && PYTHONPATH=. /usr/share/sphinx/scripts/python3/sphinx-build -N -q -E -b html docs/ $(PKG3DIR)/usr/share/doc/python3-paste/docs/
	touch $@

install: $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
install-python%:
	python$* setup.py install --root $(PKGDIR) \
		--install-layout=deb $(py_setup_install_args)
	# pth file is not needed since all paste* packages are installed in same directory
	find $(PKGDIR) \( -name '*.pth' -or -name 'namespace_packages.txt' \) -delete
	touch $(PKGDIR)$(call py_libdir,$*)/paste/__init__.py
	dh_link -ppython-paste /usr/share/javascript/mochikit/MochiKit.js \
		$(call py_libdir,$*)/paste/evalexception/media/MochiKit.packed.js
	touch $@

install3-python%: 2to3-stamp
	cd debian/tmp && python$* setup.py install --root $(PKG3DIR) \
		--install-layout=deb $(py_setup_install_args)
	# pth file is not needed since all paste* packages are installed in same directory
	find $(PKG3DIR) \( -name '*.pth' -or -name 'namespace_packages.txt' \) -delete
	touch $(PKG3DIR)$(call py_libdir,$*)/paste/__init__.py
	touch $@

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_link -ppython3-paste /usr/share/javascript/mochikit/MochiKit.js \
		/usr/lib/python3/dist-packages/paste/evalexception/media/MochiKit.packed.js
	dh_installchangelogs -i docs/news.txt
	dh_installdocs -i
	dh_sphinxdoc -i
	dh_python2 -i
	dh_python3 -i
	# it's not an extra license file
	echo "python-paste: extra-license-file usr/share/doc/python-paste/docs/_sources/license.txt" \
		>> $(PKGDIR)/usr/share/lintian/overrides/python-paste
	echo "python3-paste: extra-license-file usr/share/doc/python3-paste/docs/_sources/license.txt" \
		>> $(PKG3DIR)/usr/share/lintian/overrides/python3-paste
	dh_compress -i -X.py -X.js -Xobjects.inv
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary-arch:

binary: binary-indep binary-arch

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/Paste/ Paste-(.*)\.tar\.gz debian uupdate

## paste 2.0.3+dfsg

=== debian/changelog ===
paste (2.0.3+dfsg-4ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Demote libjs-mochikit back to suggests as dh_python2
      and dh_python3 don't have the same symlink problem as python-support.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 26 Jun 2017 02:54:30 -0600

paste (2.0.3+dfsg-4) unstable; urgency=medium

  * Suggest httpd-wsgi virtual package instead of libapache2-mod-wsgi
    (Closes: #831340, #831341)

 -- Ondřej Nový <onovy@debian.org>  Thu, 22 Sep 2016 22:54:07 +0200

paste (2.0.3+dfsg-3) unstable; urgency=medium

  * Removed versioned build depedencies older then wheezy
  * Removed suggests python-pgsql, it doesn't exists
  * Added suggests python3-pastedeploy to Py3 package
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jun 2016 22:59:26 +0200

paste (2.0.3+dfsg-2) unstable; urgency=medium

  * Use autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * d/watch: Use https protocol
  * Added extend-diff-ignore for egg-info
  * d/copyright: Added myself to Debian part
  * Removed useless paste/util/template.py.2015-04-30-123224 file

 -- Ondřej Nový <novy@ondrej.org>  Mon, 30 May 2016 19:03:56 +0200

paste (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Removed 0001-Py3k-fixes.patch (applied upstream)
  * Added 0001-Use-correct-variable-when-building-message-for-excep.patch
    (Closes: #695253)

 -- Ondřej Nový <novy@ondrej.org>  Thu, 10 Mar 2016 19:09:13 +0100

paste (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Added myself as uploader and removed Piotr Ożarowski (Closes: #740529)
  * wrap-and-sort
  * Fixed Vcs-Git (git->https)
  * d/copyright changed to machine-readable format
  * Fixed d/watch file
  * Added Build-Depends: dh-python
  * Removed all patches
  * Added 0001-Py3k-fixes.patch
  * Documentation moved to solo package python-paste-doc
  * d/rules rewritten
  * Added Build-Depends-Indep: python(3)-nose and python(3)-six
  * Standards-Version is 3.9.7 now
  * d/copyright: Files-Excluded: paste/evalexception/media/MochiKit.packed.js
  * d/watch: Added dfsg suffix
  * Added simple Debian tests
  * Bumped Python minimal version to 2.6 and 3.4

 -- Ondřej Nový <novy@ondrej.org>  Fri, 04 Mar 2016 23:24:56 +0100

=== debian/control ===
Source: paste
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
Build-Depends-Indep: python-all,
                     python-nose,
                     python-setuptools,
                     python-six,
                     python-sphinx,
                     python3-all,
                     python3-nose,
                     python3-setuptools,
                     python3-six,
                     python3-sphinx,
Standards-Version: 3.9.8
Homepage: http://pythonpaste.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/paste.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/paste.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Testsuite: autopkgtest-pkg-python

Package: python-paste
Architecture: all
Depends: python-formencode,
         python-pkg-resources,
         python-tempita,
         ${misc:Depends},
         ${python:Depends},
Recommends: python-ctypes,
            python-openid,
            python-openssl,
            python-scgi,
Suggests: httpd-wsgi,
          libapache2-mod-python,
          libapache2-mod-scgi,
          libjs-mochikit,
          python-pastedeploy,
          python-pastescript,
          python-pastewebkit,
Description: tools for using a Web Server Gateway Interface stack - Python 2.x
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools

Package: python3-paste
Architecture: all
Depends: python3-pkg-resources,
         python3-tempita,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-openssl,
Suggests: httpd-wsgi,
          libapache2-mod-python,
          libapache2-mod-scgi,
          libjs-mochikit,
          python3-pastedeploy,
Description: tools for using a Web Server Gateway Interface stack - Python 3.x
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools
 .
 This is the Python3 version of the package.

Package: python-paste-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: tools for using a Web Server Gateway Interface stack - documentation
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools
 .
 This package provides the Sphinx generated documentation for Paste.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME = paste
export PYBUILD_AFTER_INSTALL=rm {destdir}{install_dir}/*.pth ; \
		rm {destdir}{install_dir}/*/namespace_packages.txt ; \
		rm {destdir}{install_dir}/profile.log.tmp ; \
		rm {destdir}{install_dir}/paste/util/template.py.2015-04-30-123224 ; \
		touch {destdir}{install_dir}/paste/__init__.py
export PYBUILD_BEFORE_TEST=cp -r Paste.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -r {build_dir}/Paste.egg-info

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -bhtml docs/ $(CURDIR)/debian/python-paste-doc/usr/share/doc/python-paste-doc/html

	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installchangelogs:
	dh_installchangelogs -i docs/news.txt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/Paste/Paste-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## paste 3.0.6+dfsg

=== debian/changelog ===
paste (3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 14:57:25 +0100

paste (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 22:49:43 +0100

paste (3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add python{,3}-pytest-runner to B-D

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Nov 2018 10:20:02 +0100

paste (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/p/0001-Use-correct-variable-when-building-message-for-excep.patch:
    Drop, applied upstream
  * d/p/0003-python-37-support.patch: Drop, applied upstream
  * d/p/0002-Skip-test-with-network-access.patch: Rebased
  * d/control:
    - Switch nose to pytest
    - Move homepage to pythonpaste.readthedocs.io
  * d/upstream/metadata: Move repository to Github

 -- Ondřej Nový <onovy@debian.org>  Mon, 29 Oct 2018 09:50:34 +0100

paste (2.0.3+dfsg-7) unstable; urgency=medium

  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump standards version to 4.2.1 (no changes)
  * d/control: Demote libjs-mochikit to suggests

 -- Ondřej Nový <onovy@debian.org>  Sun, 30 Sep 2018 12:58:41 +0200

paste (2.0.3+dfsg-6) unstable; urgency=medium

  * Remove Thomas Goirand from uploaders, this was not authorized or even
    asked first
  * Bump standards version to 4.1.2 (no changes)
  * Bump debhelper compat level to 11
  * d/changelog: Remove empty line from end of a file
  * python-paste-doc.lintian-overrides: Remove, not needed
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Aug 2018 09:43:13 +0200

paste (2.0.3+dfsg-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper version to 10
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Thomas Goirand ]
  * Switch away from git-dpm.
  * Add myself as uploader.
  * Ran wrap-and-sort -bast.
  * Add 0003-python-37-support.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Aug 2018 14:28:38 +0000

=== debian/control ===
Source: paste
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
Build-Depends-Indep:
 python-all,
 python-pytest,
 python-pytest-runner,
 python-setuptools,
 python-six,
 python-sphinx,
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 4.3.0
Homepage: https://pythonpaste.readthedocs.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/paste.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/paste
Testsuite: autopkgtest-pkg-python

Package: python-paste
Architecture: all
Depends:
 python-formencode,
 python-pkg-resources,
 python-tempita,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ctypes,
 python-openid,
 python-openssl,
 python-scgi,
Suggests:
 httpd-wsgi,
 libapache2-mod-python,
 libapache2-mod-scgi,
 libjs-mochikit,
 python-pastedeploy,
 python-pastescript,
 python-pastewebkit,
Description: tools for using a Web Server Gateway Interface stack - Python 2.x
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools

Package: python-paste-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: tools for using a Web Server Gateway Interface stack - documentation
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools
 .
 This package provides the Sphinx generated documentation for Paste.

Package: python3-paste
Architecture: all
Depends:
 python3-pkg-resources,
 python3-tempita,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-openssl,
Suggests:
 httpd-wsgi,
 libapache2-mod-python,
 libapache2-mod-scgi,
 libjs-mochikit,
 python3-pastedeploy,
Description: tools for using a Web Server Gateway Interface stack - Python 3.x
 Python Paste brings consistency to Python web development and web application
 installation, providing tools for both developers and system administrators.
 .
 Paste for Administrators:
  * Easily install, run, and configure multiple Paste-enabled web
    applications at once, and integrate them into your website how
    you want (SCGI, FCGI, AJP, WSGI)
  * Manage and install web applications system-wide for easy maintenance
 .
 Paste for Web Developers:
  * Increase your web application's audience
  * Provide starter templates and custom commands for using your web framework
  * Keep your development and deployment straightened out, and your automated
    testing streamlined
  * Attention payed to the full development cycle -- starting projects,
    converting old projects, updating and deploying projects -- using a set of
    complementary packages and tools
 .
 This is the Python3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 override_dh_sphinxdoc:
-	PYTHONPATH=. sphinx-build -bhtml docs/ $(CURDIR)/debian/python-paste-doc/usr/share/doc/python-paste-doc/html
+	PYTHONPATH=. python3 -m sphinx -bhtml docs/ $(CURDIR)/debian/python-paste-doc/usr/share/doc/python-paste-doc/html
 
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## paste 3.0.8+dfsg1

=== debian/changelog ===
paste (3.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.4.0 (no changes)
  * d/watch: Use +dfsg1 as repack suffix

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 15:57:45 +0200

## paste 3.1.0+dfsg1

=== debian/changelog ===
paste (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 11:20:46 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pythonpaste.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/paste.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/paste

## paste 3.3.0+dfsg1

=== debian/changelog ===
paste (3.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Thu, 30 Jan 2020 10:21:29 +0100

paste (3.2.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jan 2020 08:02:09 +0100

paste (3.2.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937244

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jan 2020 23:23:53 -0500

paste (3.2.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Wed, 08 Jan 2020 16:15:13 +0100

paste (3.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Tue, 10 Dec 2019 13:25:31 +0100

paste (3.2.2+dfsg1-2) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 21:47:53 +0200

paste (3.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Sep 2019 12:26:57 +0200

## paste 3.4.0+dfsg1

=== debian/changelog ===
paste (3.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Fri, 21 Feb 2020 12:22:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,63 +8,18 @@
  debhelper-compat (= 12),
  dh-python,
 Build-Depends-Indep:
- python-all,
- python-pytest,
- python-pytest-runner,
- python-setuptools,
- python-six,
- python-sphinx,
  python3-all,
  python3-pytest,
  python3-pytest-runner,
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://pythonpaste.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/paste.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/paste
 Testsuite: autopkgtest-pkg-python
-
-Package: python-paste
-Architecture: all
-Depends:
- python-formencode,
- python-pkg-resources,
- python-tempita,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- python-ctypes,
- python-openid,
- python-openssl,
- python-scgi,
-Suggests:
- httpd-wsgi,
- libapache2-mod-python,
- libapache2-mod-scgi,
- libjs-mochikit,
- python-pastedeploy,
- python-pastescript,
- python-pastewebkit,
-Description: tools for using a Web Server Gateway Interface stack - Python 2.x
- Python Paste brings consistency to Python web development and web application
- installation, providing tools for both developers and system administrators.
- .
- Paste for Administrators:
-  * Easily install, run, and configure multiple Paste-enabled web
-    applications at once, and integrate them into your website how
-    you want (SCGI, FCGI, AJP, WSGI)
-  * Manage and install web applications system-wide for easy maintenance
- .
- Paste for Web Developers:
-  * Increase your web application's audience
-  * Provide starter templates and custom commands for using your web framework
-  * Keep your development and deployment straightened out, and your automated
-    testing streamlined
-  * Attention payed to the full development cycle -- starting projects,
-    converting old projects, updating and deploying projects -- using a set of
-    complementary packages and tools
+Rules-Requires-Root: no
 
 Package: python-paste-doc
 Architecture: all

## paste 3.4.3+dfsg1

=== debian/changelog ===
paste (3.4.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Thu, 20 Aug 2020 09:00:39 +0200

paste (3.4.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/p/0002-Skip-test-with-network-access: Mark set forwarded not-
    needed

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Jul 2020 11:20:22 +0200

paste (3.4.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 13.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 10:54:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
 Build-Depends-Indep:
  python3-all,

## paste 3.5.0+dfsg1

=== debian/changelog ===
paste (3.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Oct 2020 15:51:47 +0100

paste (3.4.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Change Maintainer to Debian Python Team
    <team+python@tracker.debian.org>.
  * d/control: Fix Vcs-* after repository move.

 -- Ondřej Nový <onovy@debian.org>  Mon, 21 Sep 2020 14:51:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: paste
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
@@ -16,8 +16,8 @@
  python3-sphinx,
 Standards-Version: 4.5.0
 Homepage: https://pythonpaste.readthedocs.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/paste.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/paste
+Vcs-Git: https://salsa.debian.org/python-team/packages/paste.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/paste
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/Paste.egg-info
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 override_dh_sphinxdoc:

=== debian/watch ===
version=3
opts=\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1 \
https://pypi.debian.net/Paste/Paste-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## paste 3.5.2+repack

=== debian/changelog ===
paste (3.5.2+repack-1) unstable; urgency=medium

  * Team upload
  * d/watch: Remove repacksuffix, no need for it anymore
  * d/gbp.conf: Remove the import-orig part
  * d/gbp.conf: Set compression type to gzip
  * New upstream version 3.5.2+repack
    We need to use the suffix to produce a gretaer version than with the +dfsg
    suffix. Cayn be dropped on the next new upstream version import.
  * python3-paste: Drop Suggests on non existing packages
    httpd-wsgi, libapache2-mod-scgi and libjs-mochikit aren't in the archive
    so we can't suggest the usage of these packages.
  * python3-paste: Don't link MochiKit JS file
    (Closes: #946778, #985398)
  * d/copyright: Add license information about MochiKit.packed.js
  * Lintian: Add source related override

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Nov 2022 08:08:40 +0100

paste (3.5.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Carsten Schoenert ]
  * d/gbp.conf: Add some basic default configuration
  * d/watch: Switch to version 4, move to git mode
  * New upstream version 3.5.2+dfsg
  * Rebuild patch queue from patch-queue branch
    Added patches:
    tests-Ignore-potential-warnings-handled-as-errors.patch
    tests-Use-FastForwardException-url.patch

    Refreshing and renaming patch:
    0002-Skip-test-with-network-access.patch
    -> debian/patches/Skip-test-with-network-access.patch
  * d/copyright: Update Source field
  * d/rules: Adjust PYBUILD_AFTER_INSTALL settings
  * d/control: Move over to dh-sequence-python3
  * d/control: Set <!nocheck> to *pytest* package in B-D
  * autopkgtest: Adding a basic first test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 Nov 2022 18:05:11 +0100

paste (3.5.0+dfsg1-2) unstable; urgency=medium

  * Apply multi-arch hints.
    + python-paste-doc: Add Multi-Arch: foreign.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 16:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ pybuild-plugin-pyproject,
 Build-Depends-Indep:
  python3-all,
- python3-pytest,
- python3-pytest-runner,
+ python3-pytest <!nocheck>,
+ python3-pytest-runner <!nocheck>,
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://pythonpaste.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/paste.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/paste
@@ -27,6 +27,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: tools for using a Web Server Gateway Interface stack - documentation
  Python Paste brings consistency to Python web development and web application
  installation, providing tools for both developers and system administrators.
@@ -58,10 +59,7 @@
 Recommends:
  python3-openssl,
 Suggests:
- httpd-wsgi,
  libapache2-mod-python,
- libapache2-mod-scgi,
- libjs-mochikit,
  python3-pastedeploy,
 Description: tools for using a Web Server Gateway Interface stack - Python 3.x
  Python Paste brings consistency to Python web development and web application

=== debian/watch ===
version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg\d*$//" \
https://github.com/cdent/paste.git \
      refs/tags/@ANY_VERSION@

## paste 3.7.1

=== debian/changelog ===
paste (3.7.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Add compression typ gz
  * New upstream version 3.7.1
  * Rebuild patch queue from patch-queue branch
    Removed patch (test skipped now by upstream):
    Skip-test-with-network-access.patch
  * d/control: Update Standards-Version to 4.6.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 20 Oct 2023 20:21:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-six,
  python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pythonpaste.readthedocs.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/paste.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/paste

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
 
 #export DH_VERBOSE=1
+
 export PYBUILD_NAME = paste
-export PYBUILD_AFTER_INSTALL=rm {destdir}{install_dir}/*.pth ; \
-		rm {destdir}{install_dir}/*/namespace_packages.txt ; \
-		rm {destdir}{install_dir}/profile.log.tmp ; \
-		rm {destdir}{install_dir}/paste/util/template.py.2015-04-30-123224 ; \
-		touch {destdir}{install_dir}/paste/__init__.py
+export PYBUILD_AFTER_INSTALL=\
+rm {destdir}{install_dir}/*.pth ;\
+rm {destdir}{install_dir}/*/namespace_packages.txt ;\
+touch {destdir}{install_dir}/paste/__init__.py
 export PYBUILD_BEFORE_TEST=cp -r Paste.egg-info {build_dir}
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/Paste.egg-info

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg\d*$//" \
https://github.com/cdent/paste.git \
      refs/tags/@ANY_VERSION@

## paste 3.10.0

=== debian/changelog ===
paste (3.10.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Sep 2024 09:11:14 +0000

paste (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * Fix URL's new project ownership
  * Add license for vendored part of stdlib
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 14:25:35 +0200

paste (3.9.0-1) unstable; urgency=medium

  * Adopt package inside Python Team
  * New upstream version 3.9.0
  * Remove python3-six dependency
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Apr 2024 00:58:45 +0200

paste (3.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.8.0

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Mar 2024 16:13:17 +0100

## paste 3.10.1

=== debian/changelog ===
paste (3.10.1-1) unstable; urgency=medium

  * New upstream version 3.10.1

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 14:53:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Ondřej Nový <onovy@debian.org>,
+Uploaders: Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
-Build-Depends-Indep:
  python3-all,
  python3-pytest <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-setuptools,
- python3-six,
  python3-sphinx,
 Standards-Version: 4.6.2
 Homepage: https://pythonpaste.readthedocs.io/

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-runner,
 python3-paste,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+dfsg\d*$//" \
https://github.com/pasteorg/paste.git \
      refs/tags/@ANY_VERSION@
